A Sandcastle Documented Class Library

# PropertyChangedAlerter Class

A class responsible for implementing the INotifyPropertyChanged interface and helper functions.
Inheritance Hierarchy
System
Object
butterflow_ui
PropertyChangedAlerter
butterflow_ui
ButterflowSubregion
butterflow_ui
ButterflowWrapper
butterflow_ui
OptionsConfiguration

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    public abstract class PropertyChangedAlerter : INotifyPropertyChanged

The PropertyChangedAlerter type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| PropertyChangedAlerter | Initializes a new instance of the PropertyChangedAlerter class

Top
Methods

| Name | Description
--- | --- | ---
| AddConstantCallProperty | Adds a property that will always be called when any property is updated..
| OnAllPropertiesChanged | Executes when all properties are changed and should be updated.
| OnPropertyChanged | Executes the property changed action. This alerts subscribers to its change in value.

Top
Events

| Name | Description
--- | --- | ---
| PropertyChanged | Occurs when a property value changes.

Top
Fields

| Name | Description
--- | --- | ---
| alwaysCall | A list of properties to always call as updated. Generally used for composite properties.

Top
See Also

#### Reference

butterflow_ui Namespace